Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehvalidator.core
Class TestEhvalidator

    java.lang.Object
      be.fgov.ehealth.ehvalidator.core.TestEhvalidator

    public class TestEhvalidator

extends Object

Test class for ehvalidator.

Since:
  1.2.0
Author:
  EH10

Constructor Summary
`TestEhvalidator()`

Method Summary
`void` | `testCreateHtmlReport()`
`void` | `testCreateHtmlView()`
`void` | `testCreateXmlReport()`
`void` | `testGetHtmlReportSMF()`
`void` | `testGetHtmlReportSumehr()`
`void` | `testGetHtmlViewAccentuedFile()`
`void` | `testGetHtmlViewSaxError()`
`void` | `testGetHtmlViewSMF()`
`void` | `testGetHtmlViewSumehr()`
`void` | `testGetXMLReportCorrectSMF()`
`void` | `testGetXMLReportCorrectSumehr()`
`void` | `testGetXMLReportIncorrectSumehr()`
`void` | `testGetXMLReportSaxError()`
`void` | `testValidateNOK()`
`void` | `testValidateOK_WARN()`
`void` | `testValidateOK()`
`void` | `testValidateSaxError()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestEhvalidator

    public TestEhvalidator()

Method Detail

### testValidateOK

    public void testValidateOK()
                        throws Exception

  Throws:
    `Exception`

### testValidateOK_WARN

    public void testValidateOK_WARN()
                             throws Exception

  Throws:
    `Exception`

### testValidateNOK

    public void testValidateNOK()
                         throws Exception

  Throws:
    `Exception`

### testValidateSaxError

    public void testValidateSaxError()
                              throws Exception

  Throws:
    `Exception`

### testGetXMLReportCorrectSumehr

    public void testGetXMLReportCorrectSumehr()
                                       throws Exception

  Throws:
    `Exception`

### testGetXMLReportCorrectSMF

    public void testGetXMLReportCorrectSMF()
                                    throws Exception

  Throws:
    `Exception`

### testGetXMLReportIncorrectSumehr

    public void testGetXMLReportIncorrectSumehr()
                                         throws Exception

  Throws:
    `Exception`

### testGetXMLReportSaxError

    public void testGetXMLReportSaxError()
                                  throws Exception

  Throws:
    `Exception`

### testGetHtmlReportSumehr

    public void testGetHtmlReportSumehr()
                                 throws Exception

  Throws:
    `Exception`

### testGetHtmlReportSMF

    public void testGetHtmlReportSMF()
                              throws Exception

  Throws:
    `Exception`

### testGetHtmlViewSumehr

    public void testGetHtmlViewSumehr()
                               throws Exception

  Throws:
    `Exception`

### testGetHtmlViewSMF

    public void testGetHtmlViewSMF()
                            throws Exception

  Throws:
    `Exception`

### testGetHtmlViewAccentuedFile

    public void testGetHtmlViewAccentuedFile()
                                      throws Exception

  Throws:
    `Exception`

### testGetHtmlViewSaxError

    public void testGetHtmlViewSaxError()
                                 throws Exception

  Throws:
    `Exception`

### testCreateXmlReport

    public void testCreateXmlReport()
                             throws Exception

  Throws:
    `Exception`

### testCreateHtmlReport

    public void testCreateHtmlReport()
                              throws Exception

  Throws:
    `Exception`

### testCreateHtmlView

    public void testCreateHtmlView()
                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

eHealth Validator Service Master project 2.1.1 API
Copyright © 2013 eHealth. All Rights Reserved.